#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "GameplayTagContainer.h"
#include "GameEventData.h"
#include "SurvivorExposerAnalyticsComponent.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class USurvivorExposerAnalyticsComponent : public UActorComponent
{
	GENERATED_BODY()

private:
	UFUNCTION()
	void OnSurvivorExposerSpawned(FGameplayTag gameEventType, const FGameEventData& gameEventData);

	UFUNCTION()
	void OnSurvivorExposerDespawned(FGameplayTag gameEventType, const FGameEventData& gameEventData);

	UFUNCTION(BlueprintCallable)
	void OnIntroComplete();

public:
	USurvivorExposerAnalyticsComponent();
};

FORCEINLINE uint32 GetTypeHash(const USurvivorExposerAnalyticsComponent) { return 0; }
